#ifndef _DEBUG_H_
#define _DEBUG_H_

#include <stdio.h>
#include <ctype.h>
#include <stdarg.h>

class DebugHelper
{
public:
    DebugHelper(char *file = NULL);
   ~DebugHelper();

    void logMessage(const char* format, ...);
    void setDebugFlag(bool);
    bool debugFlag();

private:
    bool  mDebugFlag;
    char *pFileName;
    FILE *pDebugFile;
};

#endif
